Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cannot print using hplip
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Fri Jan 09, 2015 1:15 am    Post subject: Cannot print using hplip Reply with quote

Not sure but some update in the last month broke my printing capability. Hplip gets communication errors with 2 of my hp printers that are networked. If I install the printer through cups, I can print to it. Is anyone running into this?
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
bammbamm808
Guru
Guru


Joined: 08 Dec 2002
Posts: 471
Location: Hawaii

PostPosted: Fri Jan 09, 2015 6:28 am    Post subject: Reply with quote

Just installed hplip and it's working fine with our LaserJet Pro 400 color. (Great linux printer, BTW)
_________________
Asus Prime x370 Pro
Ryzen 2700x
32Gb Samsung B-die (16GB dual rank x2) DDR4
Geforce GTX 1060 6GB
Samsung Evo 840 500Gb +Seagate 1TB HDD
Etc....
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Fri Jan 09, 2015 12:45 pm    Post subject: Reply with quote

can you post your emerge --info?
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1575
Location: /mnt/Gentoo/Europe

PostPosted: Fri Jan 09, 2015 12:59 pm    Post subject: Re: Cannot print using hplip Reply with quote

billydv wrote:
Not sure but some update in the last month broke my printing capability. Hplip gets communication errors with 2 of my hp printers that are networked. If I install the printer through cups, I can print to it. Is anyone running into this?


I had the same problem (few times in the last years):
try:
1) reemerge hplip
2) Go into CUPS -> administration -> manage printers
and remove your printer, and then add again...
Should work...
Back to top
View user's profile Send private message
bammbamm808
Guru
Guru


Joined: 08 Dec 2002
Posts: 471
Location: Hawaii

PostPosted: Fri Jan 09, 2015 5:08 pm    Post subject: Re: Cannot print using hplip Reply with quote

Xywa wrote:
billydv wrote:
Not sure but some update in the last month broke my printing capability. Hplip gets communication errors with 2 of my hp printers that are networked. If I install the printer through cups, I can print to it. Is anyone running into this?


I had the same problem (few times in the last years):
try:
1) reemerge hplip
2) Go into CUPS -> administration -> manage printers
and remove your printer, and then add again...
Should work...


Yes, I seem to recall having to perform these exact steps once to get printing working again.

But, here you go, anyway:
emerge --info
Portage 2.2.14 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop, gcc-4.8.3, glibc-2.19-r1, 3.17.7-gentoo x86_64)
=================================================================
System uname: Linux-3.17.7-gentoo-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.2
KiB Mem: 12269212 total, 11366192 free
KiB Swap: 511996 total, 511996 free
Timestamp of tree: Thu, 08 Jan 2015 19:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash: 4.2_p53
dev-java/java-config: 2.2.0
dev-lang/perl: 5.18.2-r2
dev-lang/python: 2.7.9-r1, 3.3.5-r1, 3.4.1
dev-util/cmake: 2.8.12.2-r1
dev-util/pkgconfig: 0.28-r1
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.12.4
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.11.6-r1, 1.12.6, 1.13.4
sys-devel/binutils: 2.24-r3
sys-devel/gcc: 4.8.3
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4.2-r1
sys-devel/make: 4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc: 2.19-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://www.gtlib.gatech.edu/pub/gentoo rsync://rsync.gtlib.gatech.edu/gentoo ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://lug.mtu.edu/gentoo/ ftp://lug.mtu.edu/gentoo/ http://gentoo.osuosl.org/ ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds qt3support qt4 readline sdl session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
_________________
Asus Prime x370 Pro
Ryzen 2700x
32Gb Samsung B-die (16GB dual rank x2) DDR4
Geforce GTX 1060 6GB
Samsung Evo 840 500Gb +Seagate 1TB HDD
Etc....
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Mon Jan 12, 2015 2:00 am    Post subject: Reply with quote

Okay, reemerged cups followed by hplip and remoced all devices and started again. Netwrok devices are found but upon chosing a printer and trying to install it, Here is the message

Unable to communicate with the device. Please check the device and try again.

I have no idea what is causing this.
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Mon Jan 12, 2015 2:17 am    Post subject: Reply with quote

hp-check -t
Saving output in log file: /home/billydv/hp-check.log

HP Linux Imaging and Printing System (ver. 3.14.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are
installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper
dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

warning: gentoo-2.2 version is not supported. Using gentoo-any versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

Kernel: 3.17.7-gentoo #1 SMP PREEMPT Mon Dec 29 08:14:00 EST 2014 GNU/Linux
Host: linux1
Proc: 3.17.7-gentoo #1 SMP PREEMPT Mon Dec 29 08:14:00 EST 2014 GNU/Linux
Distribution: gentoo 2.2
Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro 2.2 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.14.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.14.10
html=/usr/share/doc/hplip-3.14.10/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.14.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: No such file or directory
<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

policykit Admin-Policy-framework OPTIONAL - 0.112 OK -
gs Ghostscript REQUIRED 7.05 9.15 OK -
network Network-wget OPTIONAL - 1.16.1 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.24 OK -
avahi-utils avahi-utils OPTIONAL - 0.6.31 OK -
dbus DBus REQUIRED - 1.8.12 OK -
cups CUPS REQUIRED 1.1 2.0.1 OK 'CUPS Scheduler is running'
xsane SANE-GUI OPTIONAL 0.9 0.999 OK -

-------------------------
| General Dependencies |
-------------------------

error: reportlab Python-PDF-Lib OPTIONAL 2.0 3.1.44 MISSING 'reportlab needs to be installed'
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.11.3 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.19 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.2.0 OK -
python-devel Python-SDK REQUIRED 2.2 2.7.9 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.11.3 OK -
cups-devel CUPS-SDK REQUIRED - 2.0.1 OK -
sane-devel SANE-SDK REQUIRED - 1.0.24 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.24 OK -
cups-image CUPS-Image-Lib REQUIRED - 2.0.1 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.7.3 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

------------------------------
| Compile Time Dependencies |
------------------------------

gcc gcc-Compiler REQUIRED - 4.8.4 OK -
libtool Build-tools REQUIRED - 2.4.4 OK -
make GNU-Build-tools REQUIRED 3.0 4.1 OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.14.10 OK -
pcardext PhotoCard-Extension REQUIRED - 3.14.10 OK -
hpmudext IO-Extension REQUIRED - 3.14.10 OK -

-----------------------
| Scan Configuration |
-----------------------

hpaio HPLIP-SANE-Backend REQUIRED - 3.14.10 OK 'hpaio found in /etc/sane.d/dll.conf'
scanext Scan-SANE-Extension REQUIRED - 3.14.10 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/net/hp_LaserJet_3380?zc=NPIE9FEB8' is a Hewlett-Packard hp_LaserJet_3380 all-in-one
device `epson2:net:192.168.1.13' is a Epson PID 0860 flatbed scanner


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


Artisan_835
-----------
Type: Unknown
Device URI: lpd://192.168.1.13/ENPQueue
PPD: /etc/cups/ppd/Artisan_835.ppd
PPD Description: Epson Artisan 835 - CUPS+Gutenprint v5.2.10
Printer The printer did not respond.disabled since Wed 22 Oct 2014 11:42:10 AM EDT -
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

Epson_Stylus_Photo_1400
-----------------------
Type: Unknown
Device URI: smb://windows1/ep1400
PPD: /etc/cups/ppd/Epson_Stylus_Photo_1400.ppd
PPD Description: Epson Stylus Photo 1400 Foomatic/gutenprint-ijs-simplified.5.2
Printer Unable to connect to CIFS host after (tried 3 times)ce Sat 08 Mar 2014 11:26:20 AM EST -
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

HP_HP_Officejet_Pro_L7700
-------------------------
Type: Unknown
Device URI: dnssd://Officejet%20Pro%20L7700%20%5B30D69B%5D._pdl-datastream._tcp.local/
PPD: /etc/cups/ppd/HP_HP_Officejet_Pro_L7700.ppd
PPD Description: HP Officejet Pro l7700, hpcups 3.14.10
Printer status: printer HP_HP_Officejet_Pro_L7700 is idle. enabled since Wed 07 Jan 2015 07:22:51 PM EST
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

hp_LaserJet_2420
----------------
Type: Printer
Device URI: hp:/net/hp_LaserJet_2420?zc=HP-2420
PPD: /etc/cups/ppd/hp_LaserJet_2420.ppd
PPD Description: HP LaserJet 2420 Postscript (recommended)
Printer status: printer hp_LaserJet_2420 is idle. enabled since Mon 05 Jan 2015 08:12:20 PM EST
Communication status: Good

hp_LaserJet_3380
----------------
Type: Printer
Device URI: hp:/net/hp_LaserJet_3380?zc=NPIE9FEB8
PPD: /etc/cups/ppd/hp_LaserJet_3380.ppd
PPD Description: HP LaserJet 3380 Postscript (recommended)
Printer status: printer hp_LaserJet_3380 is idle. enabled since Tue 28 Jan 2014 10:27:19 PM EST
Communication status: Good


--------------
| PERMISSION |
--------------


-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 1
Total Warnings: 4
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
bammbamm808
Guru
Guru


Joined: 08 Dec 2002
Posts: 471
Location: Hawaii

PostPosted: Mon Jan 12, 2015 9:30 am    Post subject: Reply with quote

It looks like you haven't tried running hp-setup as root. Should be there if you emerged hplip. See if that helps.
_________________
Asus Prime x370 Pro
Ryzen 2700x
32Gb Samsung B-die (16GB dual rank x2) DDR4
Geforce GTX 1060 6GB
Samsung Evo 840 500Gb +Seagate 1TB HDD
Etc....
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Tue Jan 13, 2015 1:09 pm    Post subject: Reply with quote

as root it works
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
FroL_Onn
n00b
n00b


Joined: 20 Oct 2013
Posts: 55

PostPosted: Mon Jan 19, 2015 3:27 pm    Post subject: Re: Cannot print using hplip 3.14.10 Reply with quote

billydv wrote:
Not sure but some update in the last month broke my printing capability. Hplip gets communication errors with 2 of my hp printers that are networked. If I install the printer through cups, I can print to it. Is anyone running into this?

Is it solved?

I also can not print after hplip 3.14.10 update.
Masked it and downgraded to 3.14.1 )=
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 911
Location: Mount Vernon, NY

PostPosted: Tue Jan 20, 2015 1:04 am    Post subject: Reply with quote

Haven't tried everything yet but it seems to work alright if hp-setup is run from konsole as root.
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
FroL_Onn
n00b
n00b


Joined: 20 Oct 2013
Posts: 55

PostPosted: Wed Jan 21, 2015 1:29 pm    Post subject: Reply with quote

billydv wrote:
Haven't tried everything yet but it seems to work alright if hp-setup is run from konsole as root.

Well, I have done all the needed operations as root too.
However, after reboot (or, maybe, resume, I don't remember) the printer becomes unavailable. That could be resolved in two ways:
hp-setup again or downgrade to 3.14.1.
The latter was my chosen one.

Am I the only person experiencing this?
Back to top
View user's profile Send private message
donjames
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 188
Location: Henderson, Texas USA

PostPosted: Sun Feb 15, 2015 9:58 pm    Post subject: Reply with quote

Here's what I did to get my HP p1606dn to print:

0. Disabled usb printing in the kernel.

1. Set USE flags: snmp hpcups. Deleted USE flags: avahi static-ppds hpijs

2. # emerge -uDNv hplip

3. # /etc/init.d/cupsd start

4. Crank up your web browser and go to http://localhost:631. Add your printer.

5. Make sure you are using python2.7.
# eselect python list
# eselect python set python2.7

6. # hp-setup

7. # /etc/init.d/cupsd restart

8. Access http://localhost:631 with your web browser. Click on the printer. Choose "maintenance" and then choose "print test page"

Now, this machine prints in duplex mode.

Regards,


Don James
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum